
function chekForm()
{
	amount()//重新计算总数
	if (document.all.totalPrice.value-0>0)
	{
		form1.Submit1.disabled=true;
		form1.Submit1.value='发送中...';
		form1.submit()
	}
	else
	{
		alert("总金额是0，请检查再提交!")
		return false;
	}
}
function addRow(id,name,price,count)//添加表格的一行
{
parent.document.all.rightFrame.style.display=''//让上一级的最右边显示，就是下单结果地方
parent.document.all.swich2.style.display=''//和添加一行无关
if(price==""){alert('无报价，不能加入！');return;}
if(count<0){count=0}//数量不能为负
eval("parent.mainFrame.document.all.td_"+id+".all[0].value=count")//考虑主框架中按钮旁边的那个数量框
oTR=idTB.insertRow(idTB.rows.length);
tmpNum=oTR.rowIndex;
	
oTD=oTR.insertCell(0);
oTD.innerHTML="<input id=del_"+id+" type=button value=x onclick=delRow(this)>";//删除按钮

oTD=oTR.insertCell(1);
oTD.innerText="第" + tmpNum+"行";//此名无用，在该处添加的HTML代码会原封不动的显示在页面上
oTD.innerHTML="<span class=overflow1>"+name+"</span>";//要在该格添加的HTML代码填在这里，因为这里是text，注意不要重名了。

oTD=oTR.insertCell(2);
oTD.innerHTML="<div align=right>￥<span id=price_"+id+">"+price+"</span></div>";//加一列,这是单价

oTD=oTR.insertCell(3);
oTD.innerHTML="<input size=4 onBlur='onlyNum(this);' style=' height:18;text-align: center;' name='count_"+id+"' value="+count+">";//数量

oTD=oTR.insertCell(4);
oTD.innerHTML="<div align=right>￥<span id=price_xiaoji_"+id+" name=price_xiaoji_"+id+">"+price*count+"</span>.00</div>";//单价乘数量，小计



amount()//添加成功后要计算总和
}

function dindan_open()
{
	window.open('dindan.asp','','scrollbars=yes,resizable=yes');
}

function delRow(obj){//删除表格的一行

	var objTD=obj.parentElement;
	var objTR =objTD.parentElement;
	var objTable = objTR.parentElement;  
	var currRowIndex = objTR.rowIndex;
	objTable.deleteRow(currRowIndex);
	amount()//删除成功后要计算总和
	id=obj.id.replace("del_","")//还要考虑主框架中的数量
	eval("parent.mainFrame.document.all.td_"+id+".all[0].value=''")
}
function amount()//计算总和
{
	var obj=document.all//数量
	var totalCount_1=0
	var totalPrice_1=0
	for (var i=0;i<obj.length;i++)
    {
		if(obj[i].name!=null)//名称不为空
		{
			if (obj[i].name.indexOf("count_")>-1)//包含text,是数量
			{
				totalCount_1+=(obj[i].value-0)
			}
			
			if (obj[i].name.indexOf("price_xiaoji_")>-1)//包含price_xiaoji_,是小计
			{
				totalPrice_1+=(obj[i].innerHTML-0)
			}
		}
	}
	document.all.totalCount.value=totalCount_1
	document.all.totalPrice.value=totalPrice_1
	if (totalPrice_1==0)//总价为0不能提交
	{
		if(document.all.ok)document.all.ok.style.display='none'//OK按钮不显示
		if(document.all.user_infor)document.all.user_infor.style.display='none'
	}
	else//可以提交
	{
		if(document.all.user_infor && document.all.user_infor.style.display=='none')document.all.ok.style.display=''
	}
}
function onlyNum(obj){
	var contents = obj.value ;
	if (((contents/contents)!=1)&&(contents!=0)||(contents<0)||(contents>999999)||(contents.indexOf('.')>-1))//包含小数点
	{
		alert('请输入0-999999整数！'); 
		obj.select();
		return false;
	}
	else
	{
		var id=obj.name.replace(/count_/g,'');//提出id,如果 count_22,把count_替换掉,/g把所有的count_替换成空
		(eval("price_xiaoji_"+id)).innerHTML=(eval("price_"+id)).innerHTML*obj.value//重新计算小计金额
		amount()//如果是数字就开始计算总额
		if(eval("parent.mainFrame.td_"+id+".all[0]"))
		{
			obj_count=eval("parent.mainFrame.td_"+id+".all[0]")
			obj_count.value=obj.value
		}
	}
}

function onSelect()
{
	if(window.event.srcElement.tagName!='INPUT' || window.event.srcElement.tagName!='TEXTAREA')	return false;
}
